<?xml version="1.0"?>
<!--
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
-->
<xsl:stylesheet version="1.0"
  xmlns:html="http://www.w3.org/1999/xhtml"  
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  xmlns:db="http://docbook.org/ns/docbook" 
  xmlns:javadoc="http://apache.org/javadoc"
  xmlns="http://docbook.org/ns/docbook">

<xsl:template match="/">

<db:section version="5.0" xml:id="packages" >
  
  <table table-layout="fixed" frame='all' id="packagelist" pgwide="0"><title>Packages</title>
<tgroup cols='2' align='left' colsep='1' rowsep='1'>
<colspec colname='c1' colwidth="1.0*"/>
<colspec colname='c2' colwidth="1.0*"/>
<thead>
<row>
	<xsl:processing-instruction	name="dbfo">bgcolor="#CCCCFF"</xsl:processing-instruction>
  <entry>Name</entry>
  <entry>Title</entry>
</row>
</thead>
<tbody>

   <xsl:for-each select="javadoc:javadoc/javadoc:package">
   
	   <row>
  		<entry><para><xsl:value-of select="@name"/></para></entry>
  		<entry><para><xsl:value-of select="javadoc:summary"/></para></entry>
	  </row>
	</xsl:for-each>
	
</tbody>
</tgroup>
</table>    
</db:section>

 	
	</xsl:template>


</xsl:stylesheet>