/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package test.apache.kato.common;

import org.apache.kato.common.ArrayCompactor;

import junit.framework.TestCase;

public class TestArrayCompactor extends TestCase {

	
	public void testCompactArray() {
		
		long[] array=new long[]{100,50,45,30,56,90,89,2,0,0,0 };
		int last=7;
		long[] results=new long[]{100,45,56,89,56,90,89,2,0,0,0 };
		int expectedLast=3;
		
		int result=ArrayCompactor.compact(array, last);
		assertEquals(expectedLast,result);
		
		for(int i=0;i<results.length;i++) {
			assertEquals("Element "+i,results[i],array[i]);
		}
		
	}
}
