/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




public class SetupJavaClass_getName extends ScenarioElement  {

	static TestObject theTestObject;

	class TestObject {
		private String JavaObject_getDeclaredFields_getName = "JavaObject_getDeclaredFields_getName";
	}

	public static final String TestObjectClassName = TestObject.class.getName().replace('.', '/');
	public void configureJavaClass_getName()
	{
		theTestObject=new TestObject();
	} 

	
	public class Unicode_class_\u0412\u043e\u0434\u043a\u0430 {
		
	}
	
	private Unicode_class_\u0412\u043e\u0434\u043a\u0430 unicodeClass = new Unicode_class_\u0412\u043e\u0434\u043a\u0430();
	
	public static String unicodeClassname = Unicode_class_\u0412\u043e\u0434\u043a\u0430.class.getName().replace('.','/');
}
