/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




/**
 * Test JavaField.getLong() against various fields and values.
 *
 */
public class SetupJavaField_getLong extends ScenarioElement  {
	public long maxLong = Long.MAX_VALUE;
	public long minLong = Long.MIN_VALUE;
	public static long staticMinLong = Long.MIN_VALUE;
	public long zeroLong = 0;
	public long negLong = -0x55a55a5a5a5aa75al;
	public long posLong = +0x2a5a75a55a5a75a5l;
	public boolean booleanValue = false;
	public Object objectReference = new Object();
	public int intValue = 0xfafafafa;
	public byte byteValue = 1;
	public short shortValue =2;
	public char charValue = 3;
	public float floatValue = (float)5.0;
	public double doubleValue = (double)6;
	
}
