/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tests.junit;


import javax.tools.diagnostics.image.Image;
import javax.tools.diagnostics.image.ImageFactory;

import org.apache.kato.tck.api.IImageCreator;


public class ImageLoaderHelper {

	
	
	public  Capabilities getCapabilities() throws Exception {
		
	 
	    IImageCreator creator=null;
	    
	    Capabilities c=new Capabilities(); 
	    
	    c.image=creator.createProcessImage();
		
	  	return c;
		
	}
		
	

	
	
	
	
	public class Capabilities {
		public Image image=null;
		public ImageFactory factory=null;
		public boolean hasRootSupport=false;
		public Exception loadError=null;
	}
}
