/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands.helpers;

public class Exceptions {

	public static String getDataUnavailableString()
	{
		return "<data unavailable>";
	}

	public static String getDataUnavailableByte()
	{
		return "!";
	}

	public static String getDataUnavailableDoubleByte()
	{
		return "--";
	}
	
	public static String getCorruptDataExceptionString()
	{
		return "<corrupt data encountered>";
	}

	public static String getCorruptDataExceptionByte()
	{
		return "!";
	}

	public static String getCorruptDataExceptionDoubleByte()
	{
		return "--";
	}
	
	public static String getMemoryAccessExceptionString()
	{
		return "<cannot access memory>";
	}

	public static String getMemoryAccessExceptionByte()
	{
		return "!";
	}

	public static String getMemoryAccessExceptionDoubleByte()
	{
		return "--";
	}
	
	public static String getIOExceptionString()
	{
		return "<I/O exception encountered>";
	}

	public static String getIOExceptionByte()
	{
		return "!";
	}

	public static String getIOExceptionDoubleByte()
	{
		return "--";
	}
}
