<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- 
 Licensed to the Apache Software Foundation (ASF) under one
 or more contributor license agreements.  See the NOTICE file
 distributed with this work for additional information
 regarding copyright ownership.  The ASF licenses this file
 to you under the Apache License, Version 2.0 (the
 "License"); you may not use this file except in compliance
 with the License.  You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing,
 software distributed under the License is distributed on an
 "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied.  See the License for the
 specific language governing permissions and limitations
 under the License.    
 -->
<!--  
  This JSP should be run twice. In the first grabs lock A before
  waiting to be notified, then it tries to grab lock B.
  In the second run it grabs lock B then notifies the first run before
  trying to get lock A.
  
  If run properly, causes a deadlock to occur. 
  This is a toxic JSP to have on anything except a J2EE server that is
  purely for demonstration purposes. 
-->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Deadlock</title>
</head>
<body>
Press reload to create deadlock.
Getting lock...
<%! static Object handShake = new Object(); 
    static Object lockA = new Object(), lockB = new Object();
    static volatile int state = 0;
%>
<pre>
<%
out.flush();
int localState = 0;
synchronized(handShake) {
	localState = state++;
}

if (localState == 0) {
	out.write("Getting lock A\n");
	out.flush();
	synchronized(lockA) {
		synchronized(handShake) {
			out.write("Got lock A, waiting for handshake\n");
			out.flush();
			handShake.wait();
		}
		out.write("Getting lock B\n");
		out.flush();

		synchronized(lockB) {			
			out.write("Got lock B\n");
			out.flush();
		}
		out.write("Released lock B\n");
		out.flush();
	}
	out.write("Released lock A\n");
	out.flush();
} else {
	out.write("Getting lock b\n");
	out.flush();
	synchronized(lockB) {
		synchronized(handShake) {
			out.write("Got lock B, notifying handshake\n");
			out.flush();
			handShake.notify();
		}
		out.write("Getting lock A\n");
		out.flush();

		synchronized(lockA) {
			out.write("Got lock A\n");
			out.flush();
		}
		out.write("Released lock A\n");
		out.flush();
	}
	out.write("Released lock B\n");
	out.flush();
}
%>
</pre>
</body>
</html>