/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.process;

import org.apache.kato.tck.harness.scenario.ScenarioElement;



public class SetupEnvironmentVariables extends ScenarioElement{

	public static final String VALUE = "org.apache.kato.tck.environment.test-value-176453";
	public static final String KEY1 = "org.apache.kato.tck.evironment-test-key-176453";
	public static final String KEY2 = "org.apache.kato.tck.evironment-test-key-93222";
	public static final String KEY3 = "org.apache.kato.tck.evironment-test-key-96545";
	
	/**
	 * Env method called by collection stage of TCK to set envvars
	 * @return
	 */
	public String[] envEnvironmentVariableRetrieved() {
		return new String[]{KEY1+"="+VALUE,KEY2+"=",KEY3};
	}
}
